TagBodyClosure (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.taglib

## [Java] Class TagBodyClosure

- org.grails.taglib.TagBodyClosure

- Represents the body of a tag and captures its output returning the result when invoked.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class groovy.lang.Closure` | `OWNER_FIRST, DELEGATE_FIRST, OWNER_ONLY, DELEGATE_ONLY, TO_SELF, DONE, SKIP, IDENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TagBodyClosure (java.lang.Object owner, OutputContext outputContext, groovy.lang.Closure<?> bodyClosure)`
    `TagBodyClosure (java.lang.Object owner, OutputContext outputContext, groovy.lang.Closure<?> bodyClosure, boolean changeBodyClosureOwner)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `call()`
    `java.lang.Object` | `call(java.lang.Object... args)`
    `java.lang.Object` | `call(java.lang.Object arguments)`
    `java.lang.Object` | `doCall()`
    `java.lang.Object` | `doCall(java.lang.Object arguments)`
    `groovy.lang.Closure<?>` | `getBodyClosure()`
    `int` | `getMaximumNumberOfParameters()`
    `java.lang.Class[]` | `getParameterTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Closure` | `groovy.lang.Closure#leftShift(java.lang.Object), groovy.lang.Closure#leftShift(groovy.lang.Closure), groovy.lang.Closure#call(java.lang.Object), groovy.lang.Closure#call(), groovy.lang.Closure#call([Ljava.lang.Object;), groovy.lang.Closure#rightShift(groovy.lang.Closure), groovy.lang.Closure#run(), groovy.lang.Closure#setProperty(java.lang.String, java.lang.Object), groovy.lang.Closure#getProperty(java.lang.String), groovy.lang.Closure#clone(), groovy.lang.Closure#getParameterTypes(), groovy.lang.Closure#setDelegate(java.lang.Object), groovy.lang.Closure#getOwner(), groovy.lang.Closure#getMaximumNumberOfParameters(), groovy.lang.Closure#setResolveStrategy(int), groovy.lang.Closure#getResolveStrategy(), groovy.lang.Closure#getThisObject(), groovy.lang.Closure#getDirective(), groovy.lang.Closure#asWritable(), groovy.lang.Closure#curry(java.lang.Object), groovy.lang.Closure#curry([Ljava.lang.Object;), groovy.lang.Closure#rcurry([Ljava.lang.Object;), groovy.lang.Closure#rcurry(java.lang.Object), groovy.lang.Closure#ncurry(int, [Ljava.lang.Object;), groovy.lang.Closure#ncurry(int, java.lang.Object), groovy.lang.Closure#memoize(), groovy.lang.Closure#memoizeAtMost(int), groovy.lang.Closure#memoizeAtLeast(int), groovy.lang.Closure#memoizeBetween(int, int), groovy.lang.Closure#trampoline(), groovy.lang.Closure#trampoline([Ljava.lang.Object;), groovy.lang.Closure#dehydrate(), groovy.lang.Closure#rehydrate(java.lang.Object, java.lang.Object, java.lang.Object), groovy.lang.Closure#getDelegate(), groovy.lang.Closure#setDirective(int), groovy.lang.Closure#isCase(java.lang.Object), groovy.lang.Closure#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Closure#getMetaClass(), groovy.lang.Closure#setMetaClass(groovy.lang.MetaClass), groovy.lang.Closure#wait(long, int), groovy.lang.Closure#wait(long), groovy.lang.Closure#wait(), groovy.lang.Closure#equals(java.lang.Object), groovy.lang.Closure#toString(), groovy.lang.Closure#hashCode(), groovy.lang.Closure#getClass(), groovy.lang.Closure#notify(), groovy.lang.Closure#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public TagBodyClosure(java.lang.Object owner, OutputContext outputContext, groovy.lang.Closure<?> bodyClosure)

    - #### public TagBodyClosure(java.lang.Object owner, OutputContext outputContext, groovy.lang.Closure<?> bodyClosure, boolean changeBodyClosureOwner)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object call()

    - #### @java.lang.Override public java.lang.Object call(java.lang.Object... args)

    - #### @java.lang.Override public java.lang.Object call(java.lang.Object arguments)

    - #### public java.lang.Object doCall()

    - #### public java.lang.Object doCall(java.lang.Object arguments)

    - #### public groovy.lang.Closure<?> getBodyClosure()

    - #### @java.lang.Override public int getMaximumNumberOfParameters()

    - #### @java.lang.Override public java.lang.Class[] getParameterTypes()